## gnome-dictionary 3.26.1

=== meson_options.txt ===
option('use_ipv6', type: 'boolean', value: true, description: 'Enable IPv6 support')
option('build_man', type: 'boolean', value: true, description: 'Generate man page (requires xsltproc)')

## gnome-dictionary 3.3.2

=== debian/changelog ===
gnome-dictionary (3.3.2-1) experimental; urgency=low

  * New upstream development release.
  * gnome-utils has been split and gnome-dictionary is a separate module now.
  * Rename the source package to gnome-dictionary.
  * Update watch file and Vcs-* URLs.
  * Drop non-gnome-dictionary files, packages and build dependencies.
  * Update watch file and Vcs-* URLs.
  * Stop using dh-autoreconf.
  * Rebuild gtk-doc API documentation and don't use the one shipped in the
    upstream tarball.
  * Remove a few obsolete Breaks and Replaces.
  * Rewrite and update debian/copyright using the new machine-readable
    format.
  * Bump Standards-Version to 3.9.3.
  * Split the translation files and dictionary sources definitions, which were
    previously part of gnome-utils-common, into a separate package
    libgdict-common and make libgdict-1.0-6 depend on it.
  * Add the necessary Breaks/Replaces against gnome-utils-common.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Mar 2012 12:22:42 +0100

gnome-utils (3.2.1-3) unstable; urgency=low

  [ Josselin Mouette ]
  * gnome-screenshot requires nautilus for the D-Bus service.
    Closes: #654226.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Mar 2012 22:52:18 +0100

gnome-utils (3.2.1-2) unstable; urgency=low

  * Upload to unstable.
  * debian/watch:
    - Track .xz tarballs.
    - Fix regex to correctly match directories.
  * debian/org.debian.pkexec.gnome-system-log.policy:
    - Install PolicyKit action definition for gnome-system-log. X applications
      need explicit configuration so they can be started via pkexec.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Nov 2011 22:29:55 +0100

gnome-utils (3.2.1-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Use pkexec instead of gksu for gnome-system-log.

  [ Jordi Mallach ]
  * New upstream release.
  * Drop 02_gdict-1.0_pc_requires.patch: fixed upstream.
  * Drop 03-don-t-abort-if-nautilus-schema-is-not-installed.patch: obsolete.
  * Bump Build-Depends to libglib2.0-dev (>= 2.29.14), as required by
    configure.ac.
  * Add 10_no_disable_deprecated.patch: don't set *_DISABLE_DEPRECATED,
    to avoid build failures with GTK+ 3.0.x.
  * Build-Depend on dh-autoreconf and include the CDBS snippet.
  * Add -c4 to dh_makeshlibs call.
  * Set LDFLAGS to -Wl,-z,defs -Wl,-O1 -Wl,--as-needed.
  * Update Vcs-* URLs.
  * Replace Conflicts with Breaks.

 -- Jordi Mallach <jordi@debian.org>  Sat, 12 Nov 2011 16:40:01 +0100

gnome-utils (3.0.1-5) unstable; urgency=low

  * debian/control.in:
    - Add Breaks/Replaces: capplets-data (<< 1:3.0.0) to gnome-font-viewer as
      the gnome-font-viewer.desktop file has been moved into the
      gnome-font-viewer package. Closes: #634942

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Jul 2011 13:49:50 +0200

gnome-utils (3.0.1-4) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Jul 2011 21:22:45 +0200

gnome-utils (3.0.1-3) experimental; urgency=low

  * debian/patches/03-don-t-abort-if-nautilus-schema-is-not-installed.patch
    - Don't abort in gnome-screenshot if the nautilus settings schema
      'org.gnome.nautilus.preferences' is not installed. Closes: #631413

 -- Michael Biebl <biebl@debian.org>  Tue, 19 Jul 2011 21:15:44 +0200

gnome-utils (3.0.1-2) experimental; urgency=low

  * 02_gdict-1.0_pc_requires.patch: Make gdict-1.0's pkg-config file
    require the correct GTK+ version.

 -- Jordi Mallach <jordi@debian.org>  Wed, 13 Jul 2011 19:11:18 +0200

gnome-utils (3.0.1-1) experimental; urgency=low

  [ Sebastien Bacher ]
  *  debian/gnome-screenshot.install, debian/gnome-system-log.install:
     - install the gconf to gsettings migration scripts

  [ Michael Biebl ]
  * debian/watch: Switch to .bz2 tarballs.
  * New upstream release.
  * debian/control.in
    - Bump Build-Depends on libglib2.0-dev to (>= 2.28.0).
    - Bump Standards-Version to 3.9.2. No further changes.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * debian/gnome-dictionary.install
    - Stop installing files from usr/share/gnome-2.0 as gnome-dictionary no
      longer builds a panel applet.
  * debian/rules
    - Remove --enable-gdict-applet=no configure option, obsolete.
  * Add new gnome-font-viewer package.
    - Add Breaks/Replaces: gnome-control-center (<< 1:3.0.0) as
      gnome-font-viewer and gnome-thumbnail-font were part of g-c-c 2.x.
  * libgdict now builds against GTK3, which changes its ABI, but hasn't
    changed the SONAME. As a workaround, bump the versions in
    libgdict-1.0-6.symbols to 3.0.0 and add Breaks against
    gnome-dictionary (<< 3.0.0) and gtranslator (<< 2.90.0).

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Jun 2011 00:18:36 +0200

gnome-utils (3.0.0-1) experimental; urgency=low

  * New Upstream release.
    + debian/control.in
      - Update build-dependencies, especially for Gnome 3
      - Updated Standards-Version
      - Removed the dependency on libpanel-applet
      - Added dependency on gsettings-desktop-schemas as asked
        in the configure.ac
      - Removed description about the gdict applet
    + debian/rules
      - Disabled build of applet because of the new gnome-panel
    + debian/*.install
      - Removed gconf schemas when obsolete
      - Added gschemas
      - Removed *.a from -dev package as it seems to not be produced anymore
    + debian/copyright
      - Refer to GPL-2 instead of GPL
    + debian/gnome-screenshot.links
      - Link the manpage for gnome-panel-screenshot
    + debian/patch/01_logview_gksu.patch.new
      - refreshed

 -- Jean Schurger <jean@schurger.org>  Mon, 11 Apr 2011 18:20:44 -0400

gnome-utils (2.30.0-2) unstable; urgency=low

  * Update build-dependencies, especially add missing one on 
    gtk-doc-tools.
  * Switch to cdbs, based on Ubuntu packaging. Closes: #583370.
  * Remove workaround for docbook stuff, gtk-doc-tools should bring 


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-dictionary
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs,
               debhelper (>= 8),
               gnome-pkg-tools (>= 0.10),
               autotools-dev,
               intltool (>= 0.40.0),
               libglib2.0-dev (>= 2.28.0),
               libgtk-3-dev (>= 3.0.0),
               rarian-compat,
               gtk-doc-tools (>= 1.10),
               gnome-doc-utils (>= 0.3.2),
               libglib2.0-doc,
               libgtk-3-doc
Standards-Version: 3.9.3
Homepage: http://live.gnome.org/GnomeUtils
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-dictionary
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-dictionary

Package: libgdict-1.0-6
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgdict-common (= ${source:Version})
Breaks: gnome-dictionary (<< 3.0.0),
        gtranslator (<< 2.90.0)
Description: GNOME Dictionary base library - runtime
 This package contains the library used by the GNOME dictionary
 utility, and other applications providing similar functionality.

Package: libgdict-common
Architecture: all
Section: libs
Depends: ${misc:Depends}
Breaks: gnome-utils-common (<< 3.3)
Replaces: gnome-utils-common (<< 3.3)
Description: GNOME Dictionary base library - common files
 This package contains the translation files and dictionary source
 definitions used by the GNOME dictionary utility, and other
 applications providing similar functionality.

Package: libgdict-1.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgdict-1.0-6 (= ${binary:Version}),
         libgtk-3-dev (>= 3.0.0),
         libglib2.0-dev (>= 2.28.0)
Description: GNOME Dictionary base library - development files
 This package contains the development files for a library used by the
 GNOME dictionary utility, and other applications providing similar
 functionality.

Package: gnome-dictionary
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgdict-1.0-6 (= ${binary:Version})
Suggests: yelp
Provides: dict-client
Breaks: gnome-utils (<< 2.30.0-2)
Replaces: gnome-utils (<< 2.30.0-2)
Description: GNOME dictionary application
 This program can look for the definition or translation of a word in
 existing databases over the Internet
 .
 It also contains a GNOME panel applet for that effect.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --enable-ipv6 \
                             --enable-gtk-doc \
                             --disable-scrollkeeper

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_libgdict-1.0-6 += -- -c4

=== debian/watch ===
version=3
http://download.gnome.org/sources/gnome-dictionary/([\d\.]+)/ \
	gnome-dictionary-(.*)\.tar\.xz

## gnome-dictionary 3.4.0

=== debian/changelog ===
gnome-dictionary (3.4.0-1ubuntu0.1) precise-proposed; urgency=low

  * fix LP: #1015739 - overwrite files failed; gnome-utils is now a
    transitional package in precise and we need an extra breaks/replaces for
    libgdict-common on gnome-utils to allow upgrades from lucid to precise
    - update debian/control{,.in}

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 26 Aug 2012 04:33:07 -0500

gnome-dictionary (3.4.0-1) experimental; urgency=low

  * New upstream release.
  * debian/watch: Track stable releases (again).
  * debian/control.in: Relax dependency between libgdict-1.0-6 and
    libgdict-common.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Mar 2012 01:02:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: gnome-dictionary
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
                gnome-pkg-tools (>= 0.10),
@@ -30,7 +31,7 @@
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgdict-common (= ${source:Version})
+         libgdict-common
 Breaks: gnome-dictionary (<< 3.0.0),
         gtranslator (<< 2.90.0)
 Description: GNOME Dictionary base library - runtime
@@ -41,8 +42,8 @@
 Architecture: all
 Section: libs
 Depends: ${misc:Depends}
-Breaks: gnome-utils-common (<< 3.3)
-Replaces: gnome-utils-common (<< 3.3)
+Breaks: gnome-utils-common (<< 3.3), gnome-utils (<< 3.2.1-0ubuntu6)
+Replaces: gnome-utils-common (<< 3.3), gnome-utils (<< 3.2.1-0ubuntu6)
 Description: GNOME Dictionary base library - common files
  This package contains the translation files and dictionary source
  definitions used by the GNOME dictionary utility, and other

## gnome-dictionary 3.5.2

=== debian/changelog ===
gnome-dictionary (3.5.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 09 Jul 2012 15:04:37 +1200

gnome-dictionary (3.4.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Apr 2012 03:05:43 +0200

## gnome-dictionary 3.6.0

=== debian/changelog ===
gnome-dictionary (3.6.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Upstream switched from gnome-doc-utils to yelp-tools
    - update build-dependencies accordingly.
    - update debian/gnome-dictionary.install for new help files path

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 24 May 2013 11:14:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Source: gnome-dictionary
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
                gnome-pkg-tools (>= 0.10),
@@ -18,7 +17,7 @@
                libgtk-3-dev (>= 3.0.0),
                rarian-compat,
                gtk-doc-tools (>= 1.10),
-               gnome-doc-utils (>= 0.3.2),
+               yelp-tools,
                libglib2.0-doc,
                libgtk-3-doc
 Standards-Version: 3.9.3
@@ -42,8 +41,8 @@
 Architecture: all
 Section: libs
 Depends: ${misc:Depends}
-Breaks: gnome-utils-common (<< 3.3), gnome-utils (<< 3.2.1-0ubuntu6)
-Replaces: gnome-utils-common (<< 3.3), gnome-utils (<< 3.2.1-0ubuntu6)
+Breaks: gnome-utils-common (<< 3.3)
+Replaces: gnome-utils-common (<< 3.3)
 Description: GNOME Dictionary base library - common files
  This package contains the translation files and dictionary source
  definitions used by the GNOME dictionary utility, and other

## gnome-dictionary 3.8.0

=== debian/changelog ===
gnome-dictionary (3.8.0-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Update homepage
    - Don't build-depend on rarian-compat

  [ Michael Biebl ]
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 29 Aug 2013 00:33:09 +0200

## gnome-dictionary 3.10.0

=== debian/changelog ===
gnome-dictionary (3.10.0-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Thu, 09 Jan 2014 14:55:01 -0500

gnome-dictionary (3.10.0-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Oct 2013 20:20:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,26 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gnome-dictionary
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
                gnome-pkg-tools (>= 0.10),
-               autotools-dev,
+               dh-autoreconf,
                intltool (>= 0.40.0),
                libglib2.0-dev (>= 2.28.0),
                libgtk-3-dev (>= 3.0.0),
-               rarian-compat,
                gtk-doc-tools (>= 1.10),
                yelp-tools,
                libglib2.0-doc,
                libgtk-3-doc
-Standards-Version: 3.9.3
-Homepage: http://live.gnome.org/GnomeUtils
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-dictionary
+Standards-Version: 3.9.4
+Homepage: https://wiki.gnome.org/GnomeUtils
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-dictionary
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-dictionary
 
 Package: libgdict-1.0-6

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

## gnome-dictionary 3.14.1

=== debian/changelog ===
gnome-dictionary (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage URL.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Bump required version of libglib2.0-dev to (>= 2.39.0) as per
    configure.ac.
  * Drop obsolete --disable-scrollkeeper configure switch.

 -- Michael Biebl <biebl@debian.org>  Sun, 12 Oct 2014 16:06:33 +0200

gnome-dictionary (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/gnome-dictionary.install: ship usr/share/appdata

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Sep 2014 20:39:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,21 @@
 Source: gnome-dictionary
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
                gnome-pkg-tools (>= 0.10),
-               dh-autoreconf,
+               autotools-dev,
                intltool (>= 0.40.0),
-               libglib2.0-dev (>= 2.28.0),
+               libglib2.0-dev (>= 2.39.0),
                libgtk-3-dev (>= 3.0.0),
                gtk-doc-tools (>= 1.10),
                yelp-tools,
                libglib2.0-doc,
                libgtk-3-doc
-Standards-Version: 3.9.4
-Homepage: https://wiki.gnome.org/GnomeUtils
+Standards-Version: 3.9.6
+Homepage: https://wiki.gnome.org/Apps/Dictionary
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-dictionary
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-dictionary
 
@@ -53,7 +52,7 @@
 Depends: ${misc:Depends},
          libgdict-1.0-6 (= ${binary:Version}),
          libgtk-3-dev (>= 3.0.0),
-         libglib2.0-dev (>= 2.28.0)
+         libglib2.0-dev (>= 2.39.0)
 Description: GNOME Dictionary base library - development files
  This package contains the development files for a library used by the
  GNOME dictionary utility, and other applications providing similar

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --enable-ipv6 \
                             --enable-gtk-doc

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_libgdict-1.0-6 += -- -c4

## gnome-dictionary 3.16.2

=== debian/changelog ===
gnome-dictionary (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete Breaks/Replaces from pre-wheezy.
  * Rename libgdict-1.0-6 → libgdict-1.0-8 for the soname bump.
  * Update debian/libgdict-1.0-8.symbols.
  * Update debian/gnome-dictionary.install, the UI resources are now builtin
    and loadeded via GResource.
  * Enable GObject introspection support.
  * Convert to multiarch.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Sun, 24 May 2015 21:21:52 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-dictionary
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs (>= 0.4.93),
               debhelper (>= 9),
               gnome-pkg-tools (>= 0.10),
               autotools-dev,
               intltool (>= 0.40.0),
               libglib2.0-dev (>= 2.39.0),
               libgtk-3-dev (>= 3.0.0),
               gtk-doc-tools (>= 1.10),
               yelp-tools,
               libglib2.0-doc,
               libgtk-3-doc,
               gobject-introspection (>= 1.42.0),
               libgirepository1.0-dev (>= 1.42.0)
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Apps/Dictionary
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-dictionary
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-dictionary

Package: libgdict-1.0-8
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgdict-common
Description: GNOME Dictionary base library - runtime
 This package contains the library used by the GNOME dictionary
 utility, and other applications providing similar functionality.

Package: libgdict-common
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GNOME Dictionary base library - common files
 This package contains the translation files and dictionary source
 definitions used by the GNOME dictionary utility, and other
 applications providing similar functionality.

Package: libgdict-1.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libgdict-1.0-8 (= ${binary:Version}),
         gir1.2-gdict-1.0 (= ${binary:Version}),
         libgtk-3-dev (>= 3.0.0),
         libglib2.0-dev (>= 2.39.0)
Description: GNOME Dictionary base library - development files
 This package contains the development files for a library used by the
 GNOME dictionary utility, and other applications providing similar
 functionality.

Package: gir1.2-gdict-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNOME Dictionary base library - GObject introspection
 This package contains GObject introspection data for libgdict.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: gnome-dictionary
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgdict-1.0-8 (= ${binary:Version})
Suggests: yelp
Provides: dict-client
Description: GNOME dictionary application
 This program can look for the definition or translation of a word in
 existing databases over the Internet

## gnome-dictionary 3.18.0

=== debian/changelog ===
gnome-dictionary (3.18.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 02 Oct 2015 11:11:00 +0200

gnome-dictionary (3.18.0-1) experimental; urgency=medium

  [ Josselin Mouette ]
  * Remove Debian menu entry.

  [ Andreas Henriksson ]
  * New upstream release.
  * Rename library packages for new SONAME (8->9)
  * Update debian/libgdict-1.0-9.symbols

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Sep 2015 19:40:00 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                autotools-dev,
                intltool (>= 0.40.0),
                libglib2.0-dev (>= 2.39.0),
-               libgtk-3-dev (>= 3.0.0),
+               libgtk-3-dev (>= 3.10.0),
                gtk-doc-tools (>= 1.10),
                yelp-tools,
                libglib2.0-doc,
@@ -25,7 +25,7 @@
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-dictionary
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-dictionary
 
-Package: libgdict-1.0-8
+Package: libgdict-1.0-9
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -52,9 +52,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libgdict-1.0-8 (= ${binary:Version}),
+         libgdict-1.0-9 (= ${binary:Version}),
          gir1.2-gdict-1.0 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.0.0),
+         libgtk-3-dev (>= 3.10.0),
          libglib2.0-dev (>= 2.39.0)
 Description: GNOME Dictionary base library - development files
  This package contains the development files for a library used by the
@@ -78,7 +78,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgdict-1.0-8 (= ${binary:Version})
+         libgdict-1.0-9 (= ${binary:Version})
 Suggests: yelp
 Provides: dict-client
 Description: GNOME dictionary application

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,10 @@
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-ipv6 \
+DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+                             --enable-ipv6 \
                              --enable-gtk-doc
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
-DEB_DH_MAKESHLIBS_ARGS_libgdict-1.0-6 += -- -c4
+DEB_DH_MAKESHLIBS_ARGS_libgdict-1.0-8 += -- -c4

=== debian/watch ===
version=3
http://download.gnome.org/sources/gnome-dictionary/([\d\.]+[02468])/ \
	gnome-dictionary-(.*)\.tar\.xz

## gnome-dictionary 3.20.0

=== debian/changelog ===
gnome-dictionary (3.20.0-3) unstable; urgency=medium

  * Convert from cdbs to dh.
  * Bump dh compat to 10
  * Use --fail-missing.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 27 Sep 2016 17:43:03 +0200

gnome-dictionary (3.20.0-2) unstable; urgency=medium

  * Bump Build-Depends on libgtk-3-dev to (>= 3.20) as it uses new API like
    gdk_display_get_default_seat() or gdk_seat_get_pointer(). Closes: #822790

 -- Michael Biebl <biebl@debian.org>  Wed, 27 Apr 2016 21:48:52 +0200

gnome-dictionary (3.20.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Fix debian/rules MAKESHLIBS override -c4 to apply to soname 9

  [ Michael Biebl ]
  * New upstream release.
  * Bump dependency on libgtk-3-dev to (>= 3.16) as per configure.ac.
  * Rename library packages for new SONAME (9 → 10).
  * Update debian/libgdict-1.0-10.symbols.
  * Bump Standards-Version to 3.9.8.
  * Update debian/copyright, add section for help/ which is CC-BY-SA-3.0.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Apr 2016 20:31:54 +0200

=== debian/control ===
--- 
+++ 
@@ -7,25 +7,23 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs (>= 0.4.93),
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.10),
-               autotools-dev,
                intltool (>= 0.40.0),
                libglib2.0-dev (>= 2.39.0),
-               libgtk-3-dev (>= 3.10.0),
+               libgtk-3-dev (>= 3.20),
                gtk-doc-tools (>= 1.10),
                yelp-tools,
                libglib2.0-doc,
                libgtk-3-doc,
                gobject-introspection (>= 1.42.0),
                libgirepository1.0-dev (>= 1.42.0)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Apps/Dictionary
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-dictionary
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-dictionary
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-dictionary
 
-Package: libgdict-1.0-9
+Package: libgdict-1.0-10
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -52,9 +50,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libgdict-1.0-9 (= ${binary:Version}),
+         libgdict-1.0-10 (= ${binary:Version}),
          gir1.2-gdict-1.0 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.10.0),
+         libgtk-3-dev (>= 3.20),
          libglib2.0-dev (>= 2.39.0)
 Description: GNOME Dictionary base library - development files
  This package contains the development files for a library used by the
@@ -78,7 +76,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgdict-1.0-9 (= ${binary:Version})
+         libgdict-1.0-10 (= ${binary:Version})
 Suggests: yelp
 Provides: dict-client
 Description: GNOME dictionary application

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome,gir

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-ipv6 \
		--enable-gtk-doc

override_dh_makeshlibs:
	dh_makeshlibs -p libgdict-1.0-10 -- -c4
	dh_makeshlibs --remaining-packages

override_dh_install:
	find debian -name '*.la' -delete
	dh_install --fail-missing

## gnome-dictionary 3.24.0

=== debian/changelog ===
gnome-dictionary (3.24.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum libglib2.0-dev to >= 2.42.0 and
      libgtk-3-dev to >= 3.21.1
  * Drop Include_the_right_header_in_GdictClientContext.patch:
    - applied in new release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 18:49:19 -0400

gnome-dictionary (3.20.0-4) unstable; urgency=medium

  * Add patch from upstream to fix FTBFS:
    - debian/patches/Include_the_right_header_in_GdictClientContext.patch
    (Closes: #865806, thanks to Jason Crain for investigating this)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 03 Jul 2017 10:11:49 +0200

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.10),
                intltool (>= 0.40.0),
-               libglib2.0-dev (>= 2.39.0),
-               libgtk-3-dev (>= 3.20),
+               libglib2.0-dev (>= 2.42.0),
+               libgtk-3-dev (>= 3.21.1),
                gtk-doc-tools (>= 1.10),
                yelp-tools,
                libglib2.0-doc,
                libgtk-3-doc,
                gobject-introspection (>= 1.42.0),
                libgirepository1.0-dev (>= 1.42.0)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://wiki.gnome.org/Apps/Dictionary
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-dictionary
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-dictionary
@@ -52,8 +52,8 @@
 Depends: ${misc:Depends},
          libgdict-1.0-10 (= ${binary:Version}),
          gir1.2-gdict-1.0 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.20),
-         libglib2.0-dev (>= 2.39.0)
+         libgtk-3-dev (>= 3.21.1),
+         libglib2.0-dev (>= 2.42.0)
 Description: GNOME Dictionary base library - development files
  This package contains the development files for a library used by the
  GNOME dictionary utility, and other applications providing similar

## gnome-dictionary 3.25.90

=== debian/changelog ===
gnome-dictionary (3.25.90-1) unstable; urgency=medium

  * New upstream release
    - Remove libgdict
  * Build with meson
  * Add install-man.patch: Cherry-pick patch to fix manpage installation
  * debian/copyright: Exclude docs/rfc2229.txt since it's non-free

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Sep 2017 11:34:00 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-dictionary
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 10.3~),
               gnome-pkg-tools (>= 0.10),
               itstool,
               libglib2.0-dev (>= 2.42.0),
               libgtk-3-dev (>= 3.21.1),
               meson (>= 0.39.1),
               gobject-introspection (>= 1.42.0),
               libgirepository1.0-dev (>= 1.42.0)
Standards-Version: 4.1.0
Homepage: https://wiki.gnome.org/Apps/Dictionary
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-dictionary
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-dictionary

Package: libgdict-common
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GNOME Dictionary base library - common files
 This package contains the translation files and dictionary source
 definitions used by the GNOME dictionary utility, and other
 applications providing similar functionality.

Package: gnome-dictionary
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yelp
Provides: dict-client
Description: GNOME dictionary application
 This program can look for the definition or translation of a word in
 existing databases over the Internet

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome,gir --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Duse_ipv6=true \

override_dh_install:
	dh_install --fail-missing

## gnome-dictionary 3.26.0

=== debian/changelog ===
gnome-dictionary (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum meson to 0.42.0
    - Build-depend on docbook-xml, docbook-xsl, and xsltproc to generate
      manpage
    - Build-depend on appstream-util and desktop-file-utils for validation
      tests
  * debian/rules: Generate manpage
  * debian/docs: AUTHORS and TODO were dropped in new release. README is now
    README.md
  * Drop install-man.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Sep 2017 19:03:20 -0400

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,17 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10.3~),
+Build-Depends: appstream-util <!nocheck>,
+               debhelper (>= 10.3~),
+               desktop-file-utils <!nocheck>,
+               docbook-xml,
+               docbook-xsl,
                gnome-pkg-tools (>= 0.10),
                itstool,
                libglib2.0-dev (>= 2.42.0),
                libgtk-3-dev (>= 3.21.1),
-               meson (>= 0.39.1),
+               meson (>= 0.42.0),
+               xsltproc,
                gobject-introspection (>= 1.42.0),
                libgirepository1.0-dev (>= 1.42.0)
 Standards-Version: 4.1.0

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Duse_ipv6=true \
+		-Dbuild_man=true \
+		-Duse_ipv6=true
 
 override_dh_install:
 	dh_install --fail-missing

## gnome-dictionary 3.26.1

=== debian/changelog ===
gnome-dictionary (3.26.1-6) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Fix misspelling of Close => Closes.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Andreas Henriksson ]
  * Bump to debhelper compat 12
  * Cherry-pick patch from upstream adding appdata content_rating
  * Cherry-pick upstream patch to install appdata in new location

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 09 Feb 2020 19:40:02 +0100

gnome-dictionary (3.26.1-5) unstable; urgency=medium

  * Bump debhelper compat to 11
  * Enable all hardening flags
  * Build-Depend on libxml2-utils for xmllint
  * Opt in to Ubuntu language packs
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 11:25:06 -0500

gnome-dictionary (3.26.1-4) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 17:27:41 -0500

gnome-dictionary (3.26.1-3) unstable; urgency=medium

  * Fold libgdict-common into the gnome-dictionary binary package.
    After the removal of the libgdict library package it no longer makes sense
    to keep libgdict-common as a separate binary package.

 -- Michael Biebl <biebl@debian.org>  Sat, 11 Nov 2017 16:03:33 +0100

gnome-dictionary (3.26.1-2) unstable; urgency=high

  * Depend on libgdict-common, accidentally dropped in 3.25.90-1

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 10 Nov 2017 10:18:00 -0500

gnome-dictionary (3.26.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 01 Oct 2017 17:26:09 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-dictionary
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: appstream-util <!nocheck>,
               debhelper-compat (= 12),
               desktop-file-utils <!nocheck>,
               docbook-xml,
               docbook-xsl,
               gnome-pkg-tools (>= 0.10),
               itstool,
               libglib2.0-dev (>= 2.42.0),
               libgtk-3-dev (>= 3.21.1),
               libxml2-utils,
               meson (>= 0.42.0),
               xsltproc,
               gobject-introspection (>= 1.42.0),
               libgirepository1.0-dev (>= 1.42.0)
Standards-Version: 4.4.1
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-dictionary
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-dictionary.git
Homepage: https://wiki.gnome.org/Apps/Dictionary

Package: gnome-dictionary
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yelp
Provides: dict-client
Conflicts: libgdict-common
Replaces: libgdict-common
Description: GNOME dictionary application
 This program can look for the definition or translation of a word in
 existing databases over the Internet

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome,gir --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dbuild_man=true \
		-Duse_ipv6=true

## gnome-dictionary 40.0

=== meson_options.txt ===
option('use_ipv6', type: 'boolean', value: true, description: 'Enable IPv6 support')
option('build_man', type: 'boolean', value: true, description: 'Generate man page (requires xsltproc)')
option('profile', type: 'combo', choices: ['stable', 'devel'], value: 'stable', description: 'The build profile')

=== debian/changelog ===
gnome-dictionary (40.0-4) unstable; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * d/gbp.conf: Update packaging branch to debian/latest

  [ Simon McVittie ]
  * d/control: Stop generating from a template
  * d/upstream/metadata: Update to reflect the project being discontinued.
    Please see #1085301 for more details.
  * d/patches: Add fixes for appdata, including removal of GNOME branding.
    From upstream, before the project was archived (but these changes
    never made it into a release).
  * d/patches: Add a patch to fix display of the second screenshot
  * d/patches: Update appdata to reflect its unmaintained status

 -- Simon McVittie <smcv@debian.org>  Sat, 18 Jan 2025 18:51:25 +0000

gnome-dictionary (40.0-3) unstable; urgency=medium

  * Team upload
  * d/p/build-Fix-test-dependencies-with-Meson-0.57.patch,
    d/p/meson-drop-unused-argument-for-i18n.merge_file.patch:
    Add patches from upstream to fix FTBFS with Meson 0.61
    (Closes: #1005491)

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Feb 2022 12:25:41 +0000

gnome-dictionary (40.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Aug 2021 21:29:53 -0400

gnome-dictionary (40.0-1) experimental; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * Bump minimum meson to 0.54.0
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Jul 2021 16:14:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,21 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-dictionary
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util <!nocheck>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
+               dh-sequence-gir,
+               dh-sequence-gnome,
                docbook-xml,
                docbook-xsl,
-               gnome-pkg-tools (>= 0.10),
                itstool,
                libglib2.0-dev (>= 2.42.0),
                libgtk-3-dev (>= 3.21.1),
                libxml2-utils,
-               meson (>= 0.42.0),
+               meson (>= 0.54.0),
                xsltproc,
-               gobject-introspection (>= 1.42.0),
                libgirepository1.0-dev (>= 1.42.0)
 Standards-Version: 4.4.1
 X-Ubuntu-Use-Langpack: yes

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dbuild_man=true \
		-Duse_ipv6=true

override_dh_gnome_clean:
